Integrator (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.integrator.spi
Interface Integrator

All Known Subinterfaces:
  ServiceContributingIntegrator

All Known Implementing Classes:
  BeanValidationIntegrator, EnversIntegrator, JpaIntegrator

    public interface Integrator

Contract for stuff that integrates with Hibernate.

IMPL NOTE: called during session factory initialization (constructor), so not all parts of the passed session factory will be available.

For more information, see the following jiras:

- HHH-5562
- HHH-6081

Since:
  4.0

Method Summary
`void` | `disintegrate(SessionFactoryImplementor sessionFactory, SessionFactoryServiceRegistry serviceRegistry)` Tongue-in-cheek name for a shutdown callback.
`void` | `integrate(Configuration configuration, SessionFactoryImplementor sessionFactory, SessionFactoryServiceRegistry serviceRegistry)` Perform integration.
`void` | `integrate(MetadataImplementor metadata, SessionFactoryImplementor sessionFactory, SessionFactoryServiceRegistry serviceRegistry)` Perform integration.

Method Detail

### integrate

    void integrate(Configuration configuration,
                   SessionFactoryImplementor sessionFactory,
                   SessionFactoryServiceRegistry serviceRegistry)

  Perform integration.

  Parameters:
    `configuration` - The configuration used to create the session factory
    `sessionFactory` - The session factory being created
    `serviceRegistry` - The session factory's service registry

### integrate

    void integrate(MetadataImplementor metadata,
                   SessionFactoryImplementor sessionFactory,
                   SessionFactoryServiceRegistry serviceRegistry)

  Perform integration.

  Parameters:
    `metadata` - The metadata used to create the session factory
    `sessionFactory` - The session factory being created
    `serviceRegistry` - The session factory's service registry

### disintegrate

    void disintegrate(SessionFactoryImplementor sessionFactory,
                      SessionFactoryServiceRegistry serviceRegistry)

  Tongue-in-cheek name for a shutdown callback.

  Parameters:
    `sessionFactory` - The session factory being closed.
    `serviceRegistry` - That session factory's service registry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.